Bug 197893 - recursive lock detected during install
recursive lock detected during install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-06 18:04 EDT by Paul Nasrat
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 00:04:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Nasrat 2006-07-06 18:04:26 EDT
Description of problem:

<4>=============================================
<4>[ INFO: possible recursive locking detected ]
<4>---------------------------------------------
<4>anaconda/531 is trying to acquire lock:
<4> (&bdev->bd_mutex){--..}, at: [<c0463f46>] __blkdev_put+0x22/0x123
<4>
<4>but task is already holding lock:
<4> (&bdev->bd_mutex){--..}, at: [<c0464237>] do_open+0x68/0x385
<4>
<4>other info that might help us debug this:
<4>1 lock held by anaconda/531:
<4> #0:  (&bdev->bd_mutex){--..}, at: [<c0464237>] do_open+0x68/0x385
<4>
<4>stack backtrace:
<4> [<c040373c>] show_trace_log_lvl+0x54/0xfd
<4> [<c0403cba>] show_trace+0xd/0x10
<4> [<c0403d57>] dump_stack+0x19/0x1b
<4> [<c042c3ba>] __lock_acquire+0x760/0x987
<4> [<c042cb52>] lock_acquire+0x4b/0x6d
<4> [<c05ec50c>] mutex_lock_nested+0xcc/0x243
<4> [<c0463f46>] __blkdev_put+0x22/0x123
<4> [<c0464060>] blkdev_put+0xa/0xc
<4> [<c04644e2>] do_open+0x313/0x385
<4> [<c0464759>] blkdev_open+0x1f/0x48
<4> [<c045bda0>] __dentry_open+0xb8/0x186
<4> [<c045bedc>] nameidata_to_filp+0x1c/0x2e
<4> [<c045bf1d>] do_filp_open+0x2f/0x36
<4> [<c045bf64>] do_sys_open+0x40/0xbb
<4> [<c045c00b>] sys_open+0x16/0x18
<4> [<c0402dc7>] syscall_call+0x7/0xb

Version-Release number of selected component (if applicable):

2.6.17-1.2356.fc6
Comment 1 Dave Jones 2006-07-12 00:04:55 EDT
should be fixed in tomorrows rawhide push (kernel-2.6.17-1.2375.fc6 or higher).

Note You need to log in before you can comment on or make changes to this bug.